From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/s6-networking/
Date: Wed, 22 Nov 2023 11:38:07 +0000 (UTC) [thread overview]
Message-ID: <1700652778.9d8046f79defc99245b203d3d6515f5391fb74d4.sam@gentoo> (raw)
commit: 9d8046f79defc99245b203d3d6515f5391fb74d4
Author: Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Mon Nov 20 09:44:31 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Nov 22 11:32:58 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d8046f7
net-misc/s6-networking: add 2.7.0.0
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Closes: https://github.com/gentoo/gentoo/pull/33913
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-misc/s6-networking/Manifest | 1 +
.../s6-networking/s6-networking-2.7.0.0.ebuild | 57 ++++++++++++++++++++++
2 files changed, 58 insertions(+)
diff --git a/net-misc/s6-networking/Manifest b/net-misc/s6-networking/Manifest
index c0b5af53cf27..bba355c99153 100644
--- a/net-misc/s6-networking/Manifest
+++ b/net-misc/s6-networking/Manifest
@@ -1,2 +1,3 @@
DIST s6-networking-2.5.1.3.tar.gz 114490 BLAKE2B 09b74ff4c881e0c30162a1a01d0d372c0dab2888efaeb1cb97402c485fca2d1360aaa936b291237cab7d43af870d9653b833a9a0e57c57b23918b4128186b476 SHA512 abc90d374a24507998041fd8dcd5f9c2d91bf94046e3da8d324546471f482b5929d863bd2bc846581da32f6c980ef5c2e5d6780655c757316ef0b67e37c72a19
DIST s6-networking-2.6.0.0.tar.gz 112145 BLAKE2B 1e111614da26283c0a9ee46b0d09d554c4efaf6866b322d5850512058d3237cc060b2ca6d5d1bd0e60791598e034c5fe222a2b6cf5bf271af8ee9e4403f61ea3 SHA512 dcd9a9c8e2d17fcfca96d44b1b86760a0f0e303a638f566ba064b4eb071e18736baa188cfcdb2ae27c0b00a2ed7876a9da6361a8e3a4719b70f462925df913e7
+DIST s6-networking-2.7.0.0.tar.gz 114592 BLAKE2B ce4eab80788bd4c7406e4b5732cb035e483ef1d788ea24a61886fa23402af5df23380d17464020ea562810563162e18fbd49644e9ac3d4827802e2caf294bab7 SHA512 b0dd1b0007704ca087bf49ae93cc09b7cbaa59f6ab99a0281f6bb9de38b25da18be925bc27f1bb74f984f60579f4ebdba41f276ea529b77344d9f3155bad314c
diff --git a/net-misc/s6-networking/s6-networking-2.7.0.0.ebuild b/net-misc/s6-networking/s6-networking-2.7.0.0.ebuild
new file mode 100644
index 000000000000..89c525c1c791
--- /dev/null
+++ b/net-misc/s6-networking/s6-networking-2.7.0.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Suite of small networking utilities for Unix systems"
+HOMEPAGE="https://www.skarnet.org/software/s6-networking/"
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~x86"
+IUSE="ssl"
+
+RDEPEND="
+ dev-lang/execline:=
+ >=dev-libs/skalibs-2.14.0.0:=
+ >=net-dns/s6-dns-2.3.7.0:=
+ sys-apps/s6:=[execline]
+ ssl? ( dev-libs/libretls:= )
+"
+DEPEND="${RDEPEND}"
+
+HTML_DOCS=( doc/. )
+
+src_prepare() {
+ default
+
+ # Avoid QA warning for LDFLAGS addition
+ sed -i -e 's/.*-Wl,--hash-style=both$/:/' configure || die
+
+ sed -i -e '/AR := /d' -e '/RANLIB := /d' Makefile || die
+}
+
+src_configure() {
+ tc-export AR CC RANLIB
+
+ local myconf=(
+ --bindir=/bin
+ --dynlibdir="/$(get_libdir)"
+ --libdir="/usr/$(get_libdir)/${PN}"
+ --with-dynlib="/$(get_libdir)"
+ --with-lib="/usr/$(get_libdir)/s6"
+ --with-lib="/usr/$(get_libdir)/s6-dns"
+ --with-lib="/usr/$(get_libdir)/skalibs"
+ --with-sysdeps="/usr/$(get_libdir)/skalibs"
+ --enable-shared
+ --disable-allstatic
+ --disable-static
+ --disable-static-libc
+ $(use_enable ssl ssl libtls)
+ )
+
+ econf "${myconf[@]}"
+}
next reply other threads:[~2023-11-22 11:38 UTC|newest]
Thread overview: 39+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-11-22 11:38 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-05-05 15:24 [gentoo-commits] repo/gentoo:master commit in: net-misc/s6-networking/ Petr Vaněk
2024-10-24 9:39 Petr Vaněk
2024-08-30 10:19 Petr Vaněk
2024-06-14 13:31 Petr Vaněk
2024-06-09 21:12 Sam James
2024-06-09 21:12 Sam James
2024-01-22 8:18 Petr Vaněk
2024-01-17 10:39 Petr Vaněk
2024-01-16 10:45 Petr Vaněk
2024-01-16 10:45 Petr Vaněk
2023-12-21 14:28 Petr Vaněk
2023-12-21 14:28 Petr Vaněk
2023-12-05 15:08 Petr Vaněk
2023-11-17 11:09 Sam James
2023-05-20 12:32 Joonas Niilola
2023-02-21 8:01 Sam James
2023-01-17 1:53 Sam James
2023-01-17 1:53 Sam James
2022-08-16 15:26 Joonas Niilola
2022-06-25 5:36 Sam James
2022-06-25 5:36 Sam James
2022-05-24 7:01 Joonas Niilola
2022-01-28 8:00 Sam James
2022-01-28 8:00 Sam James
2022-01-28 8:00 Sam James
2022-01-28 8:00 Sam James
2020-12-29 1:21 William Hubbs
2020-10-11 17:49 William Hubbs
2020-05-16 7:09 Joonas Niilola
2019-11-28 21:54 William Hubbs
2019-06-22 7:52 Michał Górny
2018-10-09 0:12 Georgy Yakovlev
2018-10-02 22:08 Michał Górny
2018-03-29 13:25 William Hubbs
2017-10-03 18:47 William Hubbs
2017-05-21 21:29 William Hubbs
2017-04-26 21:29 William Hubbs
2017-01-11 23:43 William Hubbs
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1700652778.9d8046f79defc99245b203d3d6515f5391fb74d4.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox